com.dlsc.flexgantt.icons

## Interface IIconMap

- All Known Implementing Classes:
    AbstractIconMap, Gif16EclipseIconMap, Png16VistaIconMap, Png16XPIconMap, Png24VistaIconMap, Png24XPIconMap

      public interface IIconMap

  An icon map provides icons based on an icon ID. Icon maps can be passed to the `IconRegistry` where the registry will use it to lookup icons that other framework classes ask for. The icon map and the icon registry are strictly for internal use of the framework. Applications that use the framework need to implement their own mechanism to load and lookup icons.
  Since:
    1.0
  Version:
    $Revision: 1.4 $
  Author:
    Dirk Lemmermann
  See Also:
    `IconRegistry.setIconMap(IIconMap)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Icon` | `getDisabledIcon(IconId id)` Returns a disabled version of the icon for the given ID.
    `Icon` | `getIcon(IconId id)` Returns an icon for the given ID.
    `Dimension` | `getIconDimension()` Returns the size of the icons in the map.
    `void` | `setIcon(IconId id, Icon icon)` Sets an icon for the given icon ID.

- - ### Method Detail

    - #### setIcon

          void setIcon(IconId id,
                       Icon icon)

      Sets an icon for the given icon ID.
      Parameters:
        `id` - the id of the icon
        `icon` - the icon for the ID
      Since:
        1.0

    - #### getIcon

          Icon getIcon(IconId id)

      Returns an icon for the given ID.
      Parameters:
        `id` - the ID for which to return an icon
      Returns:
        an icon for the given ID
      Since:
        1.0

    - #### getDisabledIcon

          Icon getDisabledIcon(IconId id)

      Returns a disabled version of the icon for the given ID.
      Parameters:
        `id` - the ID for which to return an icon
      Returns:
        an icon for the given ID
      Since:
        1.1

    - #### getIconDimension

          Dimension getIconDimension()

      Returns the size of the icons in the map.
      Returns:
        the icon dimensions
      Since:
        2.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.